Rename top level directory devutil to gerrit1_import
Really this directory exists to support the Gerrit1 -> 2 upgrade,
and not as utilities for development.
Signed-off-by: Shawn O. Pearce <sop@google.com>
diff --git a/Documentation/gerrit1-import.txt b/Documentation/gerrit1-import.txt
index 44c1cc9..ecd64a8 100644
--- a/Documentation/gerrit1-import.txt
+++ b/Documentation/gerrit1-import.txt
@@ -80,7 +80,7 @@
Tell Gerrit about your database connection information. Note that
the username you use here *must* be the default of `gerrit2` and
the database name *must* be the default of `reviewdb`, unless you
-modify `devutil/1-to-2.sh`.
+modify `gerrit1_import/1-to-2.sh`.
====
./gerrit.war --cat extra/GerritServer.properties_example >GerritServer.properties
@@ -112,7 +112,7 @@
process:
====
- sh devutil/1-to-2.sh yourapp.dump config.sql
+ sh gerrit1_import/1-to-2.sh yourapp.dump config.sql
====
diff --git a/appjar/src/main/java/com/google/gerrit/pgm/ImportGerrit1.java b/appjar/src/main/java/com/google/gerrit/pgm/ImportGerrit1.java
index 0eec850..0c8697e 100644
--- a/appjar/src/main/java/com/google/gerrit/pgm/ImportGerrit1.java
+++ b/appjar/src/main/java/com/google/gerrit/pgm/ImportGerrit1.java
@@ -63,9 +63,9 @@
/**
* Imports data from Gerrit 1 into Gerrit 2.
* <p>
- * The tool assumes that <code>devutil/import_gerrit1.sql</code> has already
- * been executed on this schema. All existing ProjectRight entities are wiped
- * from the database and generated from scratch.
+ * The tool assumes that <code>gerrit1_import/import_gerrit1.sql</code> has
+ * already been executed on this schema. All existing ProjectRight entities are
+ * wiped from the database and generated from scratch.
* <p>
* The tool requires Gerrit 1 tables (<code>gerrit1.$table_name</code>) through
* the same database connection as the ReviewDb schema is on.
diff --git a/devutil/1-to-2.sh b/gerrit1_import/1-to-2.sh
similarity index 89%
rename from devutil/1-to-2.sh
rename to gerrit1_import/1-to-2.sh
index 92e2640..a8a1906 100755
--- a/devutil/1-to-2.sh
+++ b/gerrit1_import/1-to-2.sh
@@ -35,10 +35,10 @@
createdb -E UTF-8 -O $user $dstdb || exit
pg_restore -O -d $dstdb $v1data || exit
$g2 CreateSchema || exit
-psql -f devutil/import_gerrit1_a.sql $dstdb || exit
+psql -f gerrit1_import/import_gerrit1_a.sql $dstdb || exit
psql -f $cfgsql $dstdb || exit
$g2 ImportGerrit1 || exit
-psql -f devutil/import_gerrit1_b.sql $dstdb || exit
+psql -f gerrit1_import/import_gerrit1_b.sql $dstdb || exit
echo >&2
echo >&2 "Creating secondary indexes..."
diff --git a/devutil/export_safe.sh b/gerrit1_import/export_safe.sh
similarity index 100%
rename from devutil/export_safe.sh
rename to gerrit1_import/export_safe.sh
diff --git a/devutil/import_gerrit1_a.sql b/gerrit1_import/import_gerrit1_a.sql
similarity index 99%
rename from devutil/import_gerrit1_a.sql
rename to gerrit1_import/import_gerrit1_a.sql
index 0b15d03..24ec75a 100644
--- a/devutil/import_gerrit1_a.sql
+++ b/gerrit1_import/import_gerrit1_a.sql
@@ -11,7 +11,7 @@
-- some config.sql script. At least git_base_path must be set.
--
-- Execute the conversion script:
--- devutil/1-to-2.sh gerrit1.dump config.sql
+-- gerrit1_import/1-to-2.sh gerrit1.dump config.sql
--
DELETE FROM accounts;
diff --git a/devutil/import_gerrit1_b.sql b/gerrit1_import/import_gerrit1_b.sql
similarity index 100%
rename from devutil/import_gerrit1_b.sql
rename to gerrit1_import/import_gerrit1_b.sql
diff --git a/devutil/link_accounts.sql b/gerrit1_import/link_accounts.sql
similarity index 100%
rename from devutil/link_accounts.sql
rename to gerrit1_import/link_accounts.sql